Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Oct 2019 15:47:42 -0400

>> So my guess was right: ls's output uses utf-8 for the filenames, but
>> latin-1 for the date, which is why it's difficult for dired to do the
>> right thing (it's not impossible, of course, but it's more work and
>> dired is currently not setup for that).
>
> Ten years later, I can verify that this is still an issue on current
> master running on macOS 10.13.  I think Stefan Monnier is spot on
> above.

I understand why utf--8 is used for the filenames, but what makes the
month be output in latin-1?  macOS is supposedly an "all utf-8"
environment, AFAIK.

I'm not sure if macOS uses locales in the POSIX way, but... can you
check what is your locale set to (and ideally, maybe, check what/who
sets it)?

        Stefan